Lazarus

Programming => Networking and Web Programming => Topic started by: promisetom on November 06, 2021, 12:06:47 am

Title: Install Brook Framework on a Raspberry pi
Post by: promisetom on November 06, 2021, 12:06:47 am
I am running a 32 bit Pi os (debian)
I have installed lazarus and it works well.
I installed the latest version of libsagui from the github.
All seemed to compile well with no errors.
I then built the Brook Framework.
Compiled without errors.
Then when I tried to rebuild the ide it comes with an error.
Quote
Unable to find file "libsagui.pas".
If it belongs to your project, check search path in
Project -> Compiler Options -> Search Paths -> Other Unit Files.
If this file belongs to a package, check the appropriate package compiler options.
If this file belongs to Lazarus, make sure compiling clean.
If the file belongs to FPC then check fpc.cfg.
If unsure, check Project -> CompilerOptions -> Test
This file IS in with all the other files.
I must be missing something easy.
What have I done wrong.
Tom
TinyPortal © 2005-2018